Subject: Re: Are the patches used to build git on cygwin available in a git repo somewhere?

From: Eric Blake <[email-masked]>
Date: Wed, 31 Mar 2010 05:49:21 -0600

According to Jon Seymour on 3/31/2010 1:55 AM:
> What I was looking for was a git repo that contains a branch with the
> patches that the cygwin folks mutate the official git release with.
> Such a repo would be quite useful because people could, in theory, use
> these to produce their own cygwin git builds at arbitrary commits
> instead of having to wait for cygwin to catch up.
> 
> Admittedly, it is not a big deal to build such a branch using the
> patch from the cygwin package source, but I was just wondering whether
> there was a well-known repo that contained the patches already.

Nope - the patchset that I apply when building the cygwin port is so small
that so far I have just maintained it manually, rather than publishing a
git repo.  But if you want me to make it more public, I can certainly look
into doing that.  And yes, now that 1.7.x is out for some time now, I
should probably advance the cygwin port beyond 1.6.6.1.

-- 
Eric Blake   [email-masked]    +1-801-349-2682
Libvirt virtualization library http://libvirt.org